Latest Releases

This page includes information about the latest stable release of Subversive and the Early Access Build with all the latest features.

Subversive Distribution and Installation Notes

The Subversive installation consists of two parts: the Subversive plug-in and Subversive SVN Connectors. Both parts must be installed in order to use Subversive. The Subversive plug-in is developed as an official Eclipse project and is available for installation from this page under the terms and conditions of the Eclipse Public License Version 1.0 ("EPL"). Subversive SVN Connectors are external libraries (used by Subversive to communicate with SVN) with their own licenses. Subversive SVN Connectors are developed as an open-source project on polarion.com and are distributed separately.

In order to install Subversive, you should install the Subversive plug-in and at least one Subversive SVN Connector. The Subversive plug-in and Subversive SVN Connectors are distributed from different update sites located on different servers. As the first step, you need to install the Subversive plug-in using the information on this page. After installing the Subversive plug-in, you will be prompted to select Subversive SVN Connectors that will be installed automatically from another server. For more information, please refer to the Installation Instructions.

Luna (Eclipse 4.4) Release

This is the stable Subversive plug-in release that is a part of Eclipse Luna Simultaneous Release. The Subversive plug-in is included into Luna Update Site, so you can install Subversive directly from Eclipse Luna.

Release Date: 09 June 2014
Version: 2.0.0.I20140609-1700 (Release notes)

Update Site:
The Subversive plug-in is an integral part of the Eclipse Luna update site. To install Subversive, select the Luna update site in Eclipse Update Manager, then select the Subversive features under the Collaboration section of the update site (check the installation instructions).

Archived Update Site:
Subversive-2.0.0.I20140609-1700.zip

Latest Stable Build

This is the most up-to-date version of the Subversive plug-in. It's aimed to provide you with access to the latest Subversive features before they become available in the Subversive build included into the yearly Eclipse Simultaneous Release.

Release Date: 09 June 2014
Version: 2.0.0.I20140609-1700 (Change log)

Update Site:
http://download.eclipse.org/technology/subversive/2.0/update-site/

Archived Update Site:
Subversive-2.0.0.I20140609-1700.zip

Release Date: 24 June 2014
Version: 1.1.4.I20140624-1700 (Change log)

Update Site:
http://download.eclipse.org/technology/subversive/1.1/update-site/

Archived Update Site:
Subversive-1.1.4.I20140624-1700.zip

Requirements

The latest version of Subversive is compatible with JDK 1.6, Eclipse 4.2 and later versions. It supports SVN versions 1.7-1.8 and migration from SVN 1.1-1.6. Subversive SVN Connectors are available for different platforms. For Windows x86/x64, you can install the JavaHL with corresponding binaries or SVNKit connectors. For other platforms, you have to install the SVNKit connector or if you're installing JavaHL, additionally install a package that contains JavaHL binaries for the platform (check the installation instructions).

Support Subversive Project
   
To vote or leave a comment log onto Marketplace using your Eclipse account.
Subversive Connectors Home

Visit Polarion.com to learn about the Subversive Connectors open-source project used by Subversive to communicate with the SVN infrastructure.

Legal Note

Subversive SVN Connectors are EPL-incompatible. They are distributed from the external location due to licensing requirements.